%global python3_pkgversion 39
%global __python3 %{_bindir}/python3.9
%global __pytest /usr/bin/pytest-3.9

Name:		pepc
Version:	1.5.5
Release:	1%{?dist}
Summary:	Power, Energy, and Performance Configurator

License:	BSD-3-Clause
Url:		https://github.com/intel/pepc
Source0:	%url/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-pluggy
BuildRequires:	python%{python3_pkgversion}-pytest
Requires:	python%{python3_pkgversion}-pepc = %{version}-%{release}

%description
Pepc stands for "Power, Energy, and Performance Configurator".
This is a command-line tool for configuring various Linux and Hardware 
power management features.

%package -n python%{python3_pkgversion}-%{name}
Summary:	Pepc Python libraries
BuildRequires:	python%{python3_pkgversion}-pyyaml
BuildRequires:	python%{python3_pkgversion}-paramiko
Requires:	python%{python3_pkgversion}-pyyaml

%description -n python%{python3_pkgversion}-%{name}
Pepc Python libraries

%prep
%autosetup -n %{name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%pytest -v

%files
%doc README.md CHANGELOG.md
%license LICENSE.md
%{_bindir}/pepc
%{_datadir}/pepc
%{_mandir}/man1/pepc*

%files -n python%{python3_pkgversion}-%{name}
%{python3_sitelib}/pepclibs
%{python3_sitelib}/pepctool
%{python3_sitelib}/pepc-*.egg-info/

%changelog
* Mon Feb 19 2024 Ali Erdinc Koroglu <aekoroglu@centosproject.org> - 1.5.5-1
- Update to 1.5.5

* Mon Aug 28 2023 Ali Erdinc Koroglu <aekoroglu@centosproject.org> - 1.4.32-1
- Update to 1.4.32

* Thu Jun 29 2023 Ali Erdinc Koroglu <aekoroglu@centosproject.org> - 1.4.25-1
- Update to 1.4.25

* Mon May 08 2023 Ali Erdinc Koroglu <aekoroglu@centosproject.org> - 1.4.15-1
- Update to 1.4.15

* Mon Jan 30 2023 Ali Erdinc Koroglu <aekoroglu@centosproject.org> - 1.3.43-1
- Update to 1.3.43

* Wed Jan 18 2023 Ali Erdinc Koroglu <aekoroglu@centosproject.org> - 1.3.41-1
- Update to 1.3.41

* Tue Nov 29 2022 Ali Erdinc Koroglu <aekoroglu@centosproject.org> - 1.3.32-1
- Update to 1.3.32

* Mon Nov 28 2022 Ali Erdinc Koroglu <aekoroglu@centosproject.org> - 1.3.30-1
- Update to 1.3.30

* Thu Nov 24 2022 Ali Erdinc Koroglu <aekoroglu@centosproject.org> - 1.3.29-1
- Update to 1.3.29

* Wed Oct 19 2022 Ali Erdinc Koroglu <aekoroglu@centosproject.org> - 1.3.22-1
- Update to 1.3.22

* Thu Sep 22 2022 Ali Erdinc Koroglu <aekoroglu@centosproject.org> - 1.3.20-1
- Update to 1.3.20

* Wed Sep 07 2022 Ali Erdinc Koroglu <aekoroglu@centosproject.org> - 1.3.16-1
- Update to 1.3.16

* Tue Sep 06 2022 Ali Erdinc Koroglu <aekoroglu@centosproject.org> - 1.3.15-1
- Update to 1.3.15

* Thu Aug 25 2022 Ali Erdinc Koroglu <aekoroglu@centosproject.org> - 1.3.14-1
- Update to 1.3.14

* Mon Aug 01 2022 Ali Erdinc Koroglu <aekoroglu@centosproject.org> - 1.3.12-1
- Update to 1.3.12

* Thu Jul 21 2022 Ali Erdinc Koroglu <aekoroglu@centosproject.org> - 1.3.11-1
- Update to 1.3.11

* Thu Jul 07 2022 Ali Erdinc Koroglu <aekoroglu@centosproject.org> - 1.3.10-1
- Update to 1.3.10

* Sat Jun 25 2022 Ali Erdinc Koroglu <aekoroglu@centosproject.org> - 1.3.9-1
- Update to 1.3.9

* Sun Jun 19 2022 Ali Erdinc Koroglu <aekoroglu@centosproject.org> - 1.3.8-1
- Initial package
